<template>
  <q-banner
    inline-actions
    rounded
    class="bg-red text-white"
    v-if="evento.borrado"
  >
    El evento se encuentra en estado Borrado
  </q-banner>

  <div class="row">
    <div class="col-sm-3 col-xs-12">
      <q-list dense padding>
        <q-item>
          <q-item-section> Organismo: </q-item-section>
          <q-item-section side> {{ evento.organismo }} </q-item-section>
        </q-item>
        <q-item>
          <q-item-section> Evento: </q-item-section>
          <q-item-section side> {{ evento.evento }} </q-item-section>
        </q-item>
        <q-item>
          <q-item-section> Tipo: </q-item-section>
          <q-item-section side> {{ evento.tipo }} </q-item-section>
        </q-item>
        <q-item>
          <q-item-section> Area: </q-item-section>
          <q-item-section side> {{ evento.area }} </q-item-section>
        </q-item>
      </q-list>
    </div>
    <div class="col-sm-3 col-xs-12">
      <q-list dense padding>
        <q-item>
          <q-item-section> Cierre: </q-item-section>
          <q-item-section side>
            {{ $filters.Date(evento.cierre_inscripcion) }} 23:59Hs
          </q-item-section>
        </q-item>
        <q-item>
          <q-item-section> Inicio: </q-item-section>
          <q-item-section side>
            {{ $filters.DateTime(evento.evento_inicio) }}Hs
          </q-item-section>
        </q-item>
        <q-item>
          <q-item-section> Fin: </q-item-section>
          <q-item-section side>
            {{ $filters.DateTime(evento.evento_fin) }}Hs
          </q-item-section>
        </q-item>
        <q-item>
          <q-item-section> Lugar: </q-item-section>
          <q-item-section side> {{ evento.lugar }} </q-item-section>
        </q-item>
      </q-list>
    </div>
    <div class="col-sm-3 col-xs-12">
      <q-list dense padding>
        <q-item>
          <q-item-section> Costo: </q-item-section>
          <q-item-section side> ${{ evento.costo }} </q-item-section>
        </q-item>
        <q-item>
          <q-item-section> Cupo: </q-item-section>
          <q-item-section side> {{ evento.cupo }} </q-item-section>
        </q-item>
        <q-item>
          <q-item-section> Area: </q-item-section>
          <q-item-section side> {{ evento.area_codigo }} </q-item-section>
        </q-item>
        <q-item>
          <q-item-section> Responsable: </q-item-section>
          <q-item-section side> {{ evento.responsable }} </q-item-section>
        </q-item>
      </q-list>
    </div>

    <div class="col-sm-3 col-xs-12">
      <q-list dense padding>
        <q-item v-if="evento.beneficiarios">
          <q-item-section> Beneficiarios: </q-item-section>
          <q-item-section side>
            <q-chip
              v-for="rama in evento.ramas.split(',')"
              :key="rama"
              dark
              size="sm"
              square
              :color="$getRama(rama).color"
              :label="$getRama(rama).texto"
            />
          </q-item-section>
        </q-item>

        <q-item>
          <q-item-section> Crea Registro de Formacion: </q-item-section>
          <q-item-section side v-if="evento.crea_ams"> Si Crea </q-item-section>
          <q-item-section side v-if="!evento.crea_ams">
            No crea
          </q-item-section>
        </q-item>
      </q-list>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue';
// import { AxiosResponse } from 'axios';
// import { api } from 'src/boot/axios/index';

export default defineComponent({
  name: 'InformacionPartial',
  props: {
    evento: {
      type: Object,
      required: true,
    },
  },

  components: {},

  setup() {
    //props
    const tableRef = ref();

    const loading = ref(true);

    return {
      tableRef,
      loading,
      // evento: props.evento,
    };
  },
});
</script>
